(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 11.1' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1064,         20]
NotebookDataLength[     49603,       1081]
NotebookOptionsPosition[     49950,       1071]
NotebookOutlinePosition[     50408,       1091]
CellTagsIndexPosition[     50365,       1088]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"v0p", "=!=", "v0"}], ",", 
      RowBox[{
       RowBox[{"v0p", "=", "v0"}], ";", 
       RowBox[{"t", "=", 
        RowBox[{"40", "/", "v0"}]}]}]}], "]"}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"t", ">", 
       RowBox[{"getMaxTime", "[", "v0", "]"}]}], ",", 
      RowBox[{"t", "=", 
       RowBox[{"getMaxTime", "[", "v0", "]"}]}]}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"x", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "/", "2"}], ")"}], "a", " ", 
       RowBox[{"t", "^", "2"}]}], " ", "+", " ", 
      RowBox[{"v0", " ", "t"}], " ", "+", " ", "x0"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"vs", "=", 
     RowBox[{
      RowBox[{"a", " ", "t"}], " ", "+", " ", "v0"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"factor", "=", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"x", "<", "0"}], ",", 
       RowBox[{"-", "1"}], ",", "1"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"freq", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"v", "/", 
        RowBox[{"(", 
         RowBox[{"v", "+", 
          RowBox[{"factor", " ", "vr"}]}], ")"}]}], ")"}], "f"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Abs", "[", "x", "]"}], "<", "0.5"}], ",", 
      RowBox[{"x", "=", "0.5"}]}], "]"}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"theta", "=", 
     RowBox[{
      RowBox[{"ArcTan", "[", 
       RowBox[{"y", "/", 
        RowBox[{"Abs", "[", "x", "]"}]}], "]"}], "/", "Degree"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"vr", "=", 
     RowBox[{"vs", "*", 
      RowBox[{"Cos", "[", 
       RowBox[{"theta", "*", "Degree"}], "]"}]}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"t", ">", "maxTime"}], ",", 
      RowBox[{"t", "=", "maxTime"}]}], "]"}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"EmitSound", "[", 
     RowBox[{"Sound", "[", 
      RowBox[{
       RowBox[{"SampledSoundFunction", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Sin", "[", 
           RowBox[{"2", "Pi", " ", "freq", " ", 
            RowBox[{"#", "/", "4000"}]}], "]"}], "&"}], ",", "200", ",", 
         "4000"}], "]"}], ",", 
       RowBox[{"SoundVolume", "\[Rule]", 
        RowBox[{"1", "/", 
         RowBox[{"Max", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Abs", "[", "x", "]"}], "/", "25"}], ",", "1"}], 
          "]"}]}]}]}], "]"}], "\[IndentingNewLine]", "]"}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"Framed", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Column", "[", 
       RowBox[{
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Graphics", "[", 
           RowBox[{
            RowBox[{"{", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"RGBColor", "[", 
               RowBox[{".8", ",", "0", ",", "0"}], "]"}], ",", 
              RowBox[{"Opacity", "[", "1", "]"}], ",", "\[IndentingNewLine]", 
              
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"x", ",", "0"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", 
                   RowBox[{"-", "y"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"x", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"EdgeForm", "[", "Thick", "]"}], ",", 
              RowBox[{"RGBColor", "[", 
               RowBox[{".6", ",", ".73", ",", ".36"}], "]"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"Disk", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{"-", "y"}]}], "}"}], ",", "6"}], "]"}], ",", 
              "\[IndentingNewLine]", "Black", ",", "\[IndentingNewLine]", 
              RowBox[{"Text", "[", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<observer\>\"", ",", 
                  RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}], ",",
                   "10", ",", 
                  RowBox[{"GrayLevel", "[", ".3", "]"}]}], "]"}], ",", 
                RowBox[{"Offset", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"0", ",", 
                    RowBox[{"-", "3"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"0", ",", 
                    RowBox[{
                    RowBox[{"-", "y"}], "-", "6"}]}], "}"}]}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"Center", ",", "Top"}], "}"}]}], "]"}], ",", 
              "\[IndentingNewLine]", "Black", ",", 
              RowBox[{"Opacity", "[", ".5", "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", "110"}], ",", "8"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"110", ",", "8"}], "}"}]}], "}"}], "]"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", "110"}], ",", 
                   RowBox[{"-", "8"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"110", ",", 
                   RowBox[{"-", "8"}]}], "}"}]}], "}"}], "]"}], ",", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", "Black", ",", 
              "Dashed", ",", "Thin", ",", 
              RowBox[{"Opacity", "[", ".5", "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", "110"}], ",", "0"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"110", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"Dashing", "[", 
               RowBox[{"{", "}"}], "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"ColorData", "[", 
               RowBox[{"\"\<HTML\>\"", ",", "\"\<SlateBlue\>\""}], "]"}], ",", 
              RowBox[{"Opacity", "[", "1", "]"}], ",", "\[IndentingNewLine]", 
              
              RowBox[{"(*", 
               RowBox[{
                RowBox[{"Polygon", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "-", "10"}], ",", 
                    RowBox[{"-", "5"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "+", "1"}], ",", 
                    RowBox[{"-", "5"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "+", "10"}], ",", "0"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "+", "10"}], ",", "0"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "+", "1"}], ",", "5"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "-", "10"}], ",", "5"}], "}"}]}], "}"}], 
                 "]"}], ","}], "*)"}], "\[IndentingNewLine]", 
              RowBox[{"Inset", "[", 
               RowBox[{
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzlmAlUFFe6x4tFoKGhoRsKuptWGhrsJMS4oWmXqG/OGyeTmReNzniymMRd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                   "], {{0, 59}, {67, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> "RGB", Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{67, 59},
                 PlotRange->{{0, 67}, {0, 59}}], ",", 
                RowBox[{"{", 
                 RowBox[{"x", ",", 
                  RowBox[{"-", "3"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"Center", ",", "Center"}], "}"}], ",", 
                RowBox[{".5", 
                 RowBox[{"{", 
                  RowBox[{"67", ",", "59"}], "}"}]}]}], "]"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"Table", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Circle", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"theX", ",", "0"}], "}"}], ",", 
                  RowBox[{"Max", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"x", "-", "theX"}], ")"}], "*", "2"}], ",", "0"}],
                    "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"theX", ",", 
                  RowBox[{"-", "100"}], ",", "x", ",", 
                  RowBox[{"5000", "/", "f"}]}], "}"}]}], 
               "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "}"}], 
            ",", 
            RowBox[{"PlotRange", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "110"}], ",", "110"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "75"}], ",", "75"}], "}"}]}], "}"}]}], ",", 
            RowBox[{"ImageSize", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"400", ",", 
               RowBox[{
                RowBox[{"75", "/", "110"}], " ", "400"}]}], "}"}]}]}], 
           "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"Grid", "[", 
           RowBox[{
            RowBox[{"{", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"\"\<frequency emitted\>\"", ",", "\"\< = \>\"", ",", 
                RowBox[{"Round", "[", 
                 RowBox[{"N", "@", "f"}], "]"}], ",", 
                "\"\<frequency heard\>\"", ",", "\"\< = \>\"", ",", 
                RowBox[{"Round", "[", 
                 RowBox[{"N", "@", "freq"}], "]"}]}], "}"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
                "\"\< = \>\"", ",", 
                RowBox[{"NumberForm", "[", 
                 RowBox[{
                  RowBox[{"N", "@", "x"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"3", ",", "1"}], "}"}]}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<v\>\"", ",", "Italic"}], "]"}], ",", 
                "\"\< = \>\"", ",", 
                RowBox[{"NumberForm", "[", 
                 RowBox[{
                  RowBox[{"N", "@", "vs"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"3", ",", "1"}], "}"}]}], "]"}]}], 
               "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{"\"\<\[Theta]\>\"", ",", "\"\< = \>\"", ",", 
                RowBox[{"NumberForm", "[", 
                 RowBox[{
                  RowBox[{"N", "@", "theta"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"3", ",", "1"}], "}"}]}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Subscript", "[", 
                 RowBox[{
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<v\>\"", ",", "Italic"}], "]"}], ",", 
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<r\>\"", ",", "Italic"}], "]"}]}], "]"}], ",", 
                "\"\< = \>\"", ",", 
                RowBox[{"NumberForm", "[", 
                 RowBox[{
                  RowBox[{"N", "@", "vr"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"3", ",", "1"}], "}"}]}], "]"}]}], 
               "\[IndentingNewLine]", "}"}]}], "\[IndentingNewLine]", "}"}], 
            ",", 
            RowBox[{"Spacings", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"1", "/", "2"}], ",", 
                 RowBox[{"1", "/", "2"}], ",", "2", ",", 
                 RowBox[{"1", "/", "2"}], ",", 
                 RowBox[{"1", "/", "2"}], ",", "0"}], "}"}], ",", 
               "Automatic"}], "}"}]}], ",", 
            RowBox[{"Frame", "\[Rule]", "False"}], ",", 
            RowBox[{"BaseStyle", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}], ",", 
               "12"}], "}"}]}], ",", 
            RowBox[{"Alignment", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                "Right", ",", "Center", ",", "Left", ",", "Right", ",", 
                 "Center", ",", "Left"}], "}"}], ",", "Automatic"}], 
              "}"}]}]}], "]"}]}], "\[IndentingNewLine]", "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"FrameMargins", "\[Rule]", "7"}], ",", 
      RowBox[{"FrameStyle", "\[Rule]", 
       RowBox[{"GrayLevel", "[", ".8", "]"}]}], ",", 
      RowBox[{"Background", "\[Rule]", "White"}]}], "\[IndentingNewLine]", 
     "]"}]}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"v0p", ",", "0.001"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"Style", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Grid", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Grid", "[", 
           RowBox[{
            RowBox[{"{", "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"\"\<observer location\>\"", ",", 
                RowBox[{"Control", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"y", ",", "20", ",", "\"\<\>\""}], "}"}], ",", 
                   "1", ",", "60", ",", 
                   RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
                   RowBox[{"ControlType", "\[Rule]", "Slider"}]}], "}"}], 
                 "]"}], ",", 
                RowBox[{"Dynamic", "[", "y", "]"}]}], "}"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"\"\<source frequency\>\"", ",", 
                RowBox[{"Control", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"f", ",", "500", ",", "\"\<\>\""}], "}"}], ",", 
                   "200", ",", "1250", ",", 
                   RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
                   RowBox[{"ControlType", "\[Rule]", "Slider"}]}], "}"}], 
                 "]"}], ",", 
                RowBox[{"Dynamic", "[", "f", "]"}]}], "}"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"\"\<initial velocity\>\"", ",", 
                RowBox[{"Control", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"v0", ",", "20", ",", "\"\<\>\""}], "}"}], ",", 
                   "10", ",", "60", ",", 
                   RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
                   RowBox[{"ControlType", "\[Rule]", "Slider"}]}], "}"}], 
                 "]"}], ",", 
                RowBox[{"Dynamic", "[", "v0", "]"}]}], "}"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"\"\<time\>\"", ",", 
                RowBox[{"Control", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"t", ",", "1", ",", "\"\<\>\""}], "}"}], ",", 
                   "0.001", ",", 
                   RowBox[{"getMaxTime", "[", "v0", "]"}], ",", "0.04", ",", 
                   RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
                   RowBox[{"ControlType", "\[Rule]", "Slider"}]}], "}"}], 
                 "]"}], ",", "\"\<\>\""}], "}"}], ",", "\[IndentingNewLine]", 
              
              RowBox[{"{", 
               RowBox[{"\"\<\>\"", ",", 
                RowBox[{"Control", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"t", ",", "0.001", ",", "\"\<\>\""}], "}"}], ",", 
                   "0.001", ",", 
                   RowBox[{"getMaxTime", "[", "v0", "]"}], ",", 
                   RowBox[{"ControlType", "\[Rule]", "Animator"}], ",", 
                   RowBox[{"AnimationRunning", "\[Rule]", "False"}], ",", 
                   RowBox[{"DefaultDuration", "\[Rule]", 
                    RowBox[{"getMaxTime", "[", "v0", "]"}]}], ",", 
                   RowBox[{"AppearanceElements", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<StepLeftButton\>\"", ",", "\"\<StepRightButton\>\"", 
                    ",", "\"\<PlayPauseButton\>\"", ",", 
                    "\"\<ResetButton\>\""}], "}"}]}]}], "}"}], "]"}], ",", 
                "\"\<\>\""}], "}"}]}], "\[IndentingNewLine]", "}"}], ",", 
            RowBox[{"Alignment", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"Right", ",", "Left", ",", "Left"}], "}"}], ",", 
               "Baseline"}], "}"}]}], ",", 
            RowBox[{"Spacings", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"1", "/", "2"}], ",", "0"}], "}"}], ",", 
               "Automatic"}], "}"}]}], ",", 
            RowBox[{"BaseStyle", "\[Rule]", 
             RowBox[{"GrayLevel", "[", ".3", "]"}]}]}], "]"}], 
          "\[IndentingNewLine]", "\[IndentingNewLine]", ",", 
          RowBox[{"Spacer", "[", "20", "]"}], ",", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"Dynamic", "@", 
           RowBox[{"Show", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Plot", "[", 
              RowBox[{
               RowBox[{"fch", "[", 
                RowBox[{"theTime", ",", "v0", ",", "f", ",", "y"}], "]"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"theTime", ",", "0.001", ",", 
                 RowBox[{"getMaxTime", "[", "v0", "]"}]}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"PlotRange", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"0.001", ",", 
                    RowBox[{"getMaxTime", "[", "v0", "]"}]}], "}"}], ",", 
                  "Automatic"}], "}"}]}], ",", 
               RowBox[{"Axes", "\[Rule]", "False"}], ",", 
               RowBox[{"PlotLabel", "\[Rule]", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<frequency heard\>\"", ",", 
                  RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}], ",",
                   "11"}], "]"}]}], ",", 
               RowBox[{"AspectRatio", "\[Rule]", 
                RowBox[{"1", "/", "2"}]}]}], "\[IndentingNewLine]", "]"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"Graphics", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"RGBColor", "[", 
                 RowBox[{".8", ",", "0", ",", "0"}], "]"}], ",", 
                RowBox[{"Opacity", "[", ".5", "]"}], ",", 
                RowBox[{"Line", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"t", ",", 
                    RowBox[{"-", "2000"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"t", ",", "2000"}], "}"}]}], "}"}], "]"}], ",", 
                RowBox[{"Line", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1000"}], ",", 
                    RowBox[{"fch", "[", 
                    RowBox[{"t", ",", "v0", ",", "f", ",", "y"}], "]"}]}], 
                    "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"1000", ",", 
                    RowBox[{"fch", "[", 
                    RowBox[{"t", ",", "v0", ",", "f", ",", "y"}], "]"}]}], 
                    "}"}]}], "}"}], "]"}], ",", "Brown", ",", 
                RowBox[{"PointSize", "[", ".05", "]"}], ",", 
                RowBox[{"Point", "[", 
                 RowBox[{"{", 
                  RowBox[{"t", ",", 
                   RowBox[{"fch", "[", 
                    RowBox[{"t", ",", "v0", ",", "f", ",", "y"}], "]"}]}], 
                  "}"}], "]"}]}], "}"}], "]"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"200", ",", "100"}], "}"}]}], ",", 
             RowBox[{"Frame", "\[Rule]", "True"}], ",", 
             RowBox[{"FrameStyle", "\[Rule]", 
              RowBox[{"GrayLevel", "[", ".4", "]"}]}], ",", 
             RowBox[{"LabelStyle", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"GrayLevel", "[", ".4", "]"}], ",", 
                RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}], ",", 
                "8"}], "}"}]}]}], "\[IndentingNewLine]", "]"}]}]}], 
         "\[IndentingNewLine]", "\[IndentingNewLine]", "}"}], "}"}], ",", 
       RowBox[{"Spacings", "\[Rule]", "0"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"LineBreakWithin", "\[Rule]", "False"}]}], "]"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", "Top"}], ",", 
   RowBox[{"TrackedSymbols", "\[Rule]", "Manipulate"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"(", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"fch", "[", 
        RowBox[{"t_", ",", "v0_", ",", "f_", ",", "y_"}], "]"}], ":=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"98936", " ", "f"}], ")"}], "/", 
        RowBox[{"(", 
         RowBox[{"98936", "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             SqrtBox["81354"], " ", "v0", " ", 
             RowBox[{"Abs", "[", 
              RowBox[{"100", "-", 
               RowBox[{"t", " ", "v0"}]}], "]"}], " ", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"t", " ", "v0"}], "<", "100"}], ",", 
               RowBox[{"-", "1"}], ",", "1"}], "]"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"\[Sqrt]", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["y", "2"], "+", 
               SuperscriptBox[
                RowBox[{"Abs", "[", 
                 RowBox[{"100", "-", 
                  RowBox[{"t", " ", "v0"}]}], "]"}], "2"]}], ")"}]}], 
            ")"}]}]}], ")"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"getMaxTime", "[", "v0_", "]"}], ":=", 
       RowBox[{"time", "/.", 
        RowBox[{
         RowBox[{"Solve", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"1", "/", "2"}], ")"}], "a", " ", 
              RowBox[{"time", "^", "2"}]}], " ", "+", " ", 
             RowBox[{"v0", " ", "time"}], " ", "+", " ", "x0"}], "\[Equal]", 
            "100"}], ",", "time"}], "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"x0", "=", 
       RowBox[{"-", "100"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"temp", "=", "25"}], ";", "\[IndentingNewLine]", 
      RowBox[{"v", "=", 
       RowBox[{"332", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"temp", "/", "273"}]}], ")"}], "^", 
         RowBox[{"(", 
          RowBox[{"1", "/", "2"}], ")"}]}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"a", "=", "0"}], ";"}], ")"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "]"}]], "Input",Expressio\
nUUID->"a4d64fc0-d77b-43c1-8228-a42700dd22f1"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`f$$ = 1250., $CellContext`t$$ = 
    1.3547229536566625`, $CellContext`v0$$ = 21.8, $CellContext`v0p$$ = 
    21.8, $CellContext`y$$ = 57.6, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`v0p$$], 0.001}}, {{
       Hold[$CellContext`y$$], 20, ""}, 1, 60}, {{
       Hold[$CellContext`f$$], 500, ""}, 200, 1250}, {{
       Hold[$CellContext`v0$$], 20, ""}, 10, 60}, {{
       Hold[$CellContext`t$$], 1, ""}, 0.001, 
      Dynamic[
       $CellContext`getMaxTime[$CellContext`v0$$]], 0.04}, {{
       Hold[$CellContext`t$$], 0.001, ""}, 0.001, 
      Dynamic[
       $CellContext`getMaxTime[$CellContext`v0$$]]}, {
      Hold[
       Style[
        Grid[{{
           Grid[{{"observer location", 
              Manipulate`Place[1], 
              Dynamic[$CellContext`y$$]}, {"source frequency", 
              Manipulate`Place[2], 
              Dynamic[$CellContext`f$$]}, {"initial velocity", 
              Manipulate`Place[3], 
              Dynamic[$CellContext`v0$$]}, {"time", 
              Manipulate`Place[4], ""}, {"", 
              Manipulate`Place[5], ""}}, 
            Alignment -> {{Right, Left, Left}, Baseline}, Spacings -> {{0, 
               Rational[1, 2], 0}, Automatic}, BaseStyle -> GrayLevel[0.3]], 
           Spacer[20], 
           Dynamic[
            Show[
             Plot[
              $CellContext`fch[$CellContext`theTime, $CellContext`v0$$, \
$CellContext`f$$, $CellContext`y$$], {$CellContext`theTime, 0.001, 
               $CellContext`getMaxTime[$CellContext`v0$$]}, 
              PlotRange -> {{0.001, 
                 $CellContext`getMaxTime[$CellContext`v0$$]}, Automatic}, 
              Axes -> False, PlotLabel -> 
              Style["frequency heard", FontFamily -> "Helvetica", 11], 
              AspectRatio -> 1/2], 
             Graphics[{
               RGBColor[0.8, 0, 0], 
               Opacity[0.5], 
               Line[{{$CellContext`t$$, -2000}, {$CellContext`t$$, 2000}}], 
               Line[{{-1000, 
                  $CellContext`fch[$CellContext`t$$, $CellContext`v0$$, \
$CellContext`f$$, $CellContext`y$$]}, {1000, 
                  $CellContext`fch[$CellContext`t$$, $CellContext`v0$$, \
$CellContext`f$$, $CellContext`y$$]}}], Brown, 
               PointSize[0.05], 
               Point[{$CellContext`t$$, 
                 $CellContext`fch[$CellContext`t$$, $CellContext`v0$$, \
$CellContext`f$$, $CellContext`y$$]}]}], ImageSize -> {200, 100}, Frame -> 
             True, FrameStyle -> GrayLevel[0.4], LabelStyle -> {
               GrayLevel[0.4], FontFamily -> "Helvetica", 8}]]}}, Spacings -> 
         0], LineBreakWithin -> False]], Manipulate`Dump`ThisIsNotAControl}}, 
    Typeset`size$$ = {416., {168., 174.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`y$59289$$ = 0, $CellContext`f$59290$$ = 
    0, $CellContext`v0$59291$$ = 0, $CellContext`t$59292$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     2, StandardForm, 
      "Variables" :> {$CellContext`f$$ = 500, $CellContext`t$$ = 
        0.001, $CellContext`v0$$ = 20, $CellContext`v0p$$ = 
        0.001, $CellContext`y$$ = 20}, "ControllerVariables" :> {
        Hold[$CellContext`y$$, $CellContext`y$59289$$, 0], 
        Hold[$CellContext`f$$, $CellContext`f$59290$$, 0], 
        Hold[$CellContext`v0$$, $CellContext`v0$59291$$, 0], 
        Hold[$CellContext`t$$, $CellContext`t$59292$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> (
       If[$CellContext`v0p$$ =!= $CellContext`v0$$, $CellContext`v0p$$ = \
$CellContext`v0$$; $CellContext`t$$ = 40/$CellContext`v0$$]; 
       If[$CellContext`t$$ > $CellContext`getMaxTime[$CellContext`v0$$], \
$CellContext`t$$ = $CellContext`getMaxTime[$CellContext`v0$$]]; \
$CellContext`x = ((1/
            2) $CellContext`a) $CellContext`t$$^2 + $CellContext`v0$$ \
$CellContext`t$$ + $CellContext`x0; $CellContext`vs = $CellContext`a \
$CellContext`t$$ + $CellContext`v0$$; $CellContext`factor = 
        If[$CellContext`x < 0, -1, 
          1]; $CellContext`freq = ($CellContext`v/($CellContext`v + \
$CellContext`factor $CellContext`vr)) $CellContext`f$$; 
       If[Abs[$CellContext`x] < 0.5, $CellContext`x = 
         0.5]; $CellContext`theta = 
        ArcTan[$CellContext`y$$/Abs[$CellContext`x]]/
         Degree; $CellContext`vr = $CellContext`vs 
         Cos[$CellContext`theta Degree]; 
       If[$CellContext`t$$ > $CellContext`maxTime, $CellContext`t$$ = \
$CellContext`maxTime]; EmitSound[
         Sound[
          SampledSoundFunction[
          Sin[((2 Pi) $CellContext`freq) (#/4000)]& , 200, 4000], SoundVolume -> 
          1/Max[Abs[$CellContext`x]/25, 1]]]; Framed[
         Column[{
           Graphics[{
             RGBColor[0.8, 0, 0], 
             Opacity[1], 
             
             Line[{{$CellContext`x, 0}, {0, 0}, {
               0, -$CellContext`y$$}, {$CellContext`x, 0}}], 
             EdgeForm[Thick], 
             RGBColor[0.6, 0.73, 0.36], 
             Disk[{0, -$CellContext`y$$}, 6], Black, 
             Text[
              Style["observer", FontFamily -> "Helvetica", 10, 
               GrayLevel[0.3]], 
              Offset[{0, -3}, {0, -$CellContext`y$$ - 6}], {Center, Top}], 
             Black, 
             Opacity[0.5], 
             Line[{{-110, 8}, {110, 8}}], 
             Line[{{-110, -8}, {110, -8}}], Black, Dashed, Thin, 
             Opacity[0.5], 
             Line[{{-110, 0}, {110, 0}}], 
             Dashing[{}], 
             ColorData["HTML", "SlateBlue"], 
             Opacity[1], 
             Inset[
              Image[CompressedData["
1:eJzlmAlUFFe6x4tFoKGhoRsKuptWGhrsJMS4oWmXqG/OGyeTmReNzniymMRd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               "], "Byte", ColorSpace -> "RGB", Interleaving -> 
               True], {$CellContext`x, -3}, {Center, Center}, 0.5 {67, 59}], 
             Table[
              Circle[{$CellContext`theX, 0}, 
               
               Max[($CellContext`x - $CellContext`theX) 2, 
                0]], {$CellContext`theX, -100, $CellContext`x, 
               5000/$CellContext`f$$}]}, 
            PlotRange -> {{-110, 110}, {-75, 75}}, 
            ImageSize -> {400, (75/110) 400}], 
           Grid[{{"frequency emitted", " = ", 
              Round[
               N[$CellContext`f$$]], "frequency heard", " = ", 
              Round[
               N[$CellContext`freq]]}, {
              Style["x", Italic], " = ", 
              NumberForm[
               N[$CellContext`x], {3, 1}], 
              Style["v", Italic], " = ", 
              NumberForm[
               N[$CellContext`vs], {3, 1}]}, {"\[Theta]", " = ", 
              NumberForm[
               N[$CellContext`theta], {3, 1}], 
              Subscript[
               Style["v", Italic], 
               Style["r", Italic]], " = ", 
              NumberForm[
               N[$CellContext`vr], {3, 1}]}}, 
            Spacings -> {{0, 1/2, 1/2, 2, 1/2, 1/2, 0}, Automatic}, Frame -> 
            False, BaseStyle -> {FontFamily -> "Times", 12}, 
            Alignment -> {{Right, Center, Left, Right, Center, Left}, 
              Automatic}]}, Alignment -> Center], FrameMargins -> 7, 
         FrameStyle -> GrayLevel[0.8], Background -> White]), 
      "Specifications" :> {{{$CellContext`v0p$$, 0.001}, ControlType -> 
         None}, {{$CellContext`y$$, 20, ""}, 1, 60, ImageSize -> Tiny, 
         ControlType -> Slider, ControlPlacement -> 
         1}, {{$CellContext`f$$, 500, ""}, 200, 1250, ImageSize -> Tiny, 
         ControlType -> Slider, ControlPlacement -> 
         2}, {{$CellContext`v0$$, 20, ""}, 10, 60, ImageSize -> Tiny, 
         ControlType -> Slider, ControlPlacement -> 
         3}, {{$CellContext`t$$, 1, ""}, 0.001, 
         Dynamic[
          $CellContext`getMaxTime[$CellContext`v0$$]], 0.04, ImageSize -> 
         Tiny, ControlType -> Slider, ControlPlacement -> 
         4}, {{$CellContext`t$$, 0.001, ""}, 0.001, 
         Dynamic[
          $CellContext`getMaxTime[$CellContext`v0$$]], ControlType -> 
         Animator, AnimationRunning -> False, DefaultDuration -> Dynamic[
           $CellContext`getMaxTime[$CellContext`v0$$]], 
         AppearanceElements -> {
          "StepLeftButton", "StepRightButton", "PlayPauseButton", 
           "ResetButton"}, ControlPlacement -> 5}, 
        Style[
         Grid[{{
            Grid[{{"observer location", 
               Manipulate`Place[1], 
               Dynamic[$CellContext`y$$]}, {"source frequency", 
               Manipulate`Place[2], 
               Dynamic[$CellContext`f$$]}, {"initial velocity", 
               Manipulate`Place[3], 
               Dynamic[$CellContext`v0$$]}, {"time", 
               Manipulate`Place[4], ""}, {"", 
               Manipulate`Place[5], ""}}, 
             Alignment -> {{Right, Left, Left}, Baseline}, Spacings -> {{0, 
                Rational[1, 2], 0}, Automatic}, BaseStyle -> GrayLevel[0.3]], 
            
            Spacer[20], 
            Dynamic[
             Show[
              Plot[
               $CellContext`fch[$CellContext`theTime, $CellContext`v0$$, \
$CellContext`f$$, $CellContext`y$$], {$CellContext`theTime, 0.001, 
                $CellContext`getMaxTime[$CellContext`v0$$]}, 
               PlotRange -> {{0.001, 
                  $CellContext`getMaxTime[$CellContext`v0$$]}, Automatic}, 
               Axes -> False, PlotLabel -> 
               Style["frequency heard", FontFamily -> "Helvetica", 11], 
               AspectRatio -> 1/2], 
              Graphics[{
                RGBColor[0.8, 0, 0], 
                Opacity[0.5], 
                Line[{{$CellContext`t$$, -2000}, {$CellContext`t$$, 2000}}], 
                Line[{{-1000, 
                   $CellContext`fch[$CellContext`t$$, $CellContext`v0$$, \
$CellContext`f$$, $CellContext`y$$]}, {1000, 
                   $CellContext`fch[$CellContext`t$$, $CellContext`v0$$, \
$CellContext`f$$, $CellContext`y$$]}}], Brown, 
                PointSize[0.05], 
                Point[{$CellContext`t$$, 
                  $CellContext`fch[$CellContext`t$$, $CellContext`v0$$, \
$CellContext`f$$, $CellContext`y$$]}]}], ImageSize -> {200, 100}, Frame -> 
              True, FrameStyle -> GrayLevel[0.4], LabelStyle -> {
                GrayLevel[0.4], FontFamily -> "Helvetica", 8}]]}}, Spacings -> 
          0], LineBreakWithin -> False]}, 
      "Options" :> {
       ControlPlacement -> Top, TrackedSymbols -> Manipulate, 
        ControlPlacement -> Top}, "DefaultOptions" :> {}],
     ImageSizeCache->{461., {252., 258.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(($CellContext`fch[
         Pattern[$CellContext`t, 
          Blank[]], 
         Pattern[$CellContext`v0, 
          Blank[]], 
         Pattern[$CellContext`f, 
          Blank[]], 
         Pattern[$CellContext`y, 
          Blank[]]] := (98936 $CellContext`f)/(
        98936 + (((81354^Rational[1, 2] $CellContext`v0) 
           Abs[100 - $CellContext`t $CellContext`v0]) 
          If[$CellContext`t $CellContext`v0 < 100, -1, 1])/
         Sqrt[$CellContext`y^2 + 
          Abs[100 - $CellContext`t $CellContext`v0]^2]); \
$CellContext`getMaxTime[
         Pattern[$CellContext`v0, 
          Blank[]]] := ReplaceAll[$CellContext`time, 
         Part[
          
          Solve[((1/
               2) $CellContext`a) $CellContext`time^2 + $CellContext`v0 \
$CellContext`time + $CellContext`x0 == 100, $CellContext`time], 
          1]]; $CellContext`x0 = -100; $CellContext`temp = 25; $CellContext`v = 
       332 (1 + $CellContext`temp/273)^(1/2); $CellContext`a = 0; Null); 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",ExpressionUUID->"12d4c0e3-\
be20-4c19-99e6-0b2ff4fdff50"]
}, {2}]]
},
WindowSize->{808, 691},
Visible->True,
ScrollingOptions->{"VerticalScrollRange"->Fit},
ShowCellBracket->Automatic,
CellContext->Notebook,
TrackCellChangeTimes->False,
FrontEndVersion->"11.1 for Mac OS X x86 (32-bit, 64-bit Kernel) (2017\:5e743\
\:670820\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1486, 35, 30795, 684, 2640, "Input", "ExpressionUUID" -> \
"a4d64fc0-d77b-43c1-8228-a42700dd22f1"],
Cell[32284, 721, 17653, 347, 527, "Output", "ExpressionUUID" -> \
"12d4c0e3-be20-4c19-99e6-0b2ff4fdff50"]
}, {2}]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature hxDtOUdqVBUrrDw78Bz9xys0 *)
